| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.MRE3MiscFeatures Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3MiscFeatures:

## Public Member Functions
| __init__ (self, board=None)
| ResetFW (self)
| GetFEpower (self)
| SetFEpower (self, state=0)
| GetFEvoltage (self)
| SetFEvoltage (self, voltage=12.0)
| GetPWMfrequency (self)
| SetPWMfrequency (self, frequency=1000)
| GetOutputState (self, channel)
| SetOutputState (self, channel, state=0)
| GetADCcurrent (self, channel=0)
| GetADCvoltage (self, channel=0)
| GetDevicePower (self, channel)
| SetDevicePower (self, channel, state=0)
| GetDevicePowerMask (self)
| SetDevicePowerMask (self, mask=0)
| GetDeviceType (self, channel)
| GetUIN (self)
| GetIIN (self)
| GetUFE (self)
| GetProxyVoltage (self)
| GetAnalogInput (self, channel=0)
| GetResistance (self, channel=0)
| GetOperationMode (self)
| SetOperationMode (self, value)
| GetWcState (self)
| SetWcState (self, value)
| EnableCalCoefficients (self, enable=1)
| GetGPIOstate (self)
| SetGPIOstate (self, state=0)
| GetGPIOdirection (self)
| SetGPIOdirection (self, direction=0)
| GetFeedbackMode (self)
| SetFeedbackMode (self, state=0)
| GetAverageInputPower (self)
| GetI2CList (self, channel)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x25
dict | reset_FW
dict | FE_power
dict | FE_voltage
dict | PWM_frequency
dict | enable_out0
dict | enable_out1
dict | ADCI0
dict | ADCI1
dict | ADCV0
dict | ADCV1
dict | DEV_POWER0
dict | DEV_POWER1
dict | DEV_TYPE0
dict | DEV_TYPE1
dict | UIN
dict | IIN
dict | UFE
dict | AIN0
dict | AIN1
dict | WRITE_CTRL
dict | LOAD_CH0
dict | LOAD_CH1
dict | enable_calibration
dict | Operation_Mode
dict | GPIO_STATE
dict | GPIO_DIRECTION
dict | FB_MODE
dict | Pin_avg
dict | ProxyVoltage
dict | i2c_list_ch0 = {'id': self.sys_id << 8 | 0x00, 'type': bytes}
dict | i2c_list_ch1 = {'id': self.sys_id << 8 | 0x01, 'type': bytes}
dict | i2c_list_ch2 = {'id': self.sys_id << 8 | 0x02, 'type': bytes}
dict | i2c_list_ch3 = {'id': self.sys_id << 8 | 0x03, 'type': bytes}
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    /**
    * page MiscFeatures Miscellaneous Features
    *
    * Miscellaneous Features system ID : <b>0x25</b>
    *
    * ## Register Map:
    *
    *  | Address | Name                             | Default Value | Description                                                      | Type   |  Access    |
    *  | --------|----------------------------------|---------------|------------------------------------------------------------------|------- | -----------|
    *  | 0x2500  | Reset firmware                   | N/A           | Reading triggers function                                        | uint32 | read only  |
    *  | 0x2501  | FrontEnd power state             | false=0       | Setting of FrontEnd power supply state                           | boolean| read write |
    *  | 0x2502  | FrontEnd voltage                 | 18.0          | Setting of FrontEnd supply voltage [V]                           | float  | read write |
    *  | 0x2503  | Output stage PWM frequency       | 1000          | Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz]      | uint32 | read write |
    *  | 0x2504  | Enable output stage channel 0    | false=0       | Setting of output stage state channel 0                          | boolean| read write |
    *  | 0x2505  | Enable output stage channel 1    | false=0       | Setting of output stage state channel 1                          | boolean| read write |
    *  | 0x2506  | NOT USED
    *  | 0x2507  | NOT USED
    *  | 0x2508  | ADCI0                             | N/A           | Reading of current on channel 0                                  | float  | read only  |
    *  | 0x2509  | ADCI1                             | N/A           | Reading of current on channel 1                                  | float  | read only  |
    *  | 0x250a  | NOT USED
    *  | 0x250b  | NOT USED
    *  | 0x250c  | ADCV0                             | N/A           | Reading of voltage on channel 0                                  | float  | read only  |
    *  | 0x250d  | ADCV1                             | N/A           | Reading of voltage on channel 1                                  | float  | read only  |
    *  | 0x250e  | NOT USED
    *  | 0x250f  | NOT USED
    *  | 0x2510  | DEV_POWER0                        | 0             | Setting 3v3 for device on channel 0                              | uint32 | read write |
    *  | 0x2511  | DEV_POWER1                        | 0             | Setting 3v3 for device on channel 1                              | uint32 | read write |
    *  | 0x2512  | NOT USED
    *  | 0x2513  | NOT USED
    *  | 0x2514  | DEV_MODEL0                        | 0             | get \ref DeviceModel on channel 0                                | uint32 | read only  |
    *  | 0x2515  | DEV_MODEL1                        | 0             | get \ref DeviceModel on channel 1                                | uint32 | read only  |
    *  | 0x2516  | NOT USED
    *  | 0x2517  | NOT USED
    *  | 0x2518  | Uin                               | N/A           | Reading input voltage                                            | float  | read only  |
    *  | 0x2519  | Iin                               | N/A           | Reading input current                                            | float  | read only  |
    *  | 0x251a  | Ufe                               | N/A           | Reading FE voltage                                               | float  | read only  |
    *  | 0x251b  | ANLGIN0                           | N/A           | Reading of analog input channel 0                                | float  | read only  |
    *  | 0x251c  | ANLGIN1                           | N/A           | Reading of analog input channel 1                                | float  | read only  |
    *  | 0x251d  | NOT USED
    *  | 0x251e  | NOT USED
    *  | 0x251f  | AUTO_CONFIG                   | 0             | Configures both channels of driver into specific mode: 0 - Open loop, 1 - Close loop Optical Feedback, 2 - Close loop XY, 3 - Resonant mirror mode (not applied yet) | uint32 | read write |
    *  | 0x2520  | WRITE_CTRL                       | 0             | Reading returns WC state, writing sets state of WC output signal | uint32 | read write |
    *  | 0x2521  | LOAD_CH0                         | 0          | Reading load resistance on channel 0 (set some DC current before)| float  | read only  |
    *  | 0x2522  | LOAD_CH1                         | 0          | Reading load resistance on channel 1 (set some DC current before)| float  | read only  |
    *  | 0x2523  | NOT USED
    *  | 0x2524  | NOT USED
    *  | 0x2525  | Enable calibration coefficients  | true=1 *(1)   | Enable calibration coefficients for measurements in this system  | boolean| read write |
    *  | 0x2526  | SET_STATE                         | -             | 1 set driver to init state, 2 set to project independent default | uint32 | write only |
    *  | 0x2527  | GPIO_STATE                       | 0             | Set logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2528  | GPIO_DIRECTION                   | 0             | Set direction of GPIO pins (bitwise; 0=INPUT, 1=OUTPUT)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2529  | FB_MODE                           | 0             | Set feedback mode bitwise per channel (0=current, 1=voltage) *(2)| uint32 | read write |
    *  | 0x252A  | Pin_avg                           | N/A           | Reading average input power (integration time = 1 second)        | float  | read only  |
    *  | 0x252B  | DEV_POWER_MASK                   | 0             | Set 3v3 for device bitwise per channel                            | uint32 | read write |
    *  *(1) Calibration coefficients are enabled for measurements in this system only in official ICC-4-C builds<br/>
    *  *(2) Feedback mode selection is available only on drivers with HW revision 2 and greater
    *
    * The Miscellaneous system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default     | Description                            | Format and value    |
    * |---------|--------------------------------|-------------|----------------------------------------|---------------------|
    * | 0x2500  | i2c address list on channel0   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2501  | i2c address list on channel1   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2502  | i2c address list on channel2   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2503  | i2c address list on channel3   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2504  | output current all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2505  | output voltage all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2506  | load resistance all channels   |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2507  | analog inputs all channels     |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2508  | out.current calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2509  | out.current calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250A  | out.current calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250B  | out.current calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x250C  | out.voltage calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x250D  | out.voltage calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250E  | out.voltage calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250F  | out.voltage calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2510  | analog input calib.coef.chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2511  | analog input calib.coef.chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x2512  | analog input calib.coef.chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x2513  | analog input calib.coef.chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2514  | Uin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2515  | Iin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2516  | Ufe voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    *
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ EnableCalCoefficients()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.EnableCalCoefficients | ( |  | self,
|  |  | enable = 1 )

## ◆ GetADCcurrent()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetADCcurrent | ( |  | self,
|  |  | channel = 0 )

## ◆ GetADCvoltage()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetADCvoltage | ( |  | self,
|  |  | channel = 0 )

## ◆ GetAnalogInput()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetAnalogInput | ( |  | self,
|  |  | channel = 0 )

## ◆ GetAverageInputPower()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetAverageInputPower | ( |  | self | ) |

## ◆ GetDevicePower()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetDevicePower | ( |  | self,
|  |  | channel )

## ◆ GetDevicePowerMask()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetDevicePowerMask | ( |  | self | ) |

## ◆ GetDeviceType()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetDeviceType | ( |  | self,
|  |  | channel )

## ◆ GetFeedbackMode()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetFeedbackMode | ( |  | self | ) |

## ◆ GetFEpower()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetFEpower | ( |  | self | ) |

## ◆ GetFEvoltage()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetFEvoltage | ( |  | self | ) |

## ◆ GetGPIOdirection()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetGPIOdirection | ( |  | self | ) |

## ◆ GetGPIOstate()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetGPIOstate | ( |  | self | ) |

## ◆ GetI2CList()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetI2CList | ( |  | self,
|  |  | channel )

## ◆ GetIIN()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetIIN | ( |  | self | ) |

## ◆ GetOperationMode()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetOperationMode | ( |  | self | ) |

## ◆ GetOutputState()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetOutputState | ( |  | self,
|  |  | channel )

## ◆ GetProxyVoltage()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetProxyVoltage | ( |  | self | ) |

## ◆ GetPWMfrequency()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetPWMfrequency | ( |  | self | ) |

## ◆ GetResistance()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetResistance | ( |  | self,
|  |  | channel = 0 )

## ◆ GetUFE()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetUFE | ( |  | self | ) |

## ◆ GetUIN()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetUIN | ( |  | self | ) |

## ◆ GetWcState()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.GetWcState | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.help | ( |  | ) |
| static

## ◆ ResetFW()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.ResetFW | ( |  | self | ) |

## ◆ SetDevicePower()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetDevicePower | ( |  | self,
|  |  | channel,
|  |  | state = 0 )

## ◆ SetDevicePowerMask()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetDevicePowerMask | ( |  | self,
|  |  | mask = 0 )

## ◆ SetFeedbackMode()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetFeedbackMode | ( |  | self,
|  |  | state = 0 )

## ◆ SetFEpower()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetFEpower | ( |  | self,
|  |  | state = 0 )

## ◆ SetFEvoltage()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetFEvoltage | ( |  | self,
|  |  | voltage = 12.0 )

## ◆ SetGPIOdirection()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetGPIOdirection | ( |  | self,
|  |  | direction = 0 )

## ◆ SetGPIOstate()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetGPIOstate | ( |  | self,
|  |  | state = 0 )

## ◆ SetOperationMode()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetOperationMode | ( |  | self,
|  |  | value )

## ◆ SetOutputState()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetOutputState | ( |  | self,
|  |  | channel,
|  |  | state = 0 )

## ◆ SetPWMfrequency()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetPWMfrequency | ( |  | self,
|  |  | frequency = 1000 )

## ◆ SetWcState()

optoMDC.registers.mre3_registers.MRE3MiscFeatures.SetWcState | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.MRE3MiscFeatures._is_a_system = True
| static protected

## ◆ ADCI0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.ADCI0

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCI1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.ADCI1

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.ADCV0

Initial value:
= {'id': self.sys_id << 8 | 0x0c, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.ADCV1

Initial value:
= {'id': self.sys_id << 8 | 0x0d, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.AIN0

Initial value:
= {'id': self.sys_id << 8 | 0x1b, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.AIN1

Initial value:
= {'id': self.sys_id << 8 | 0x1c, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.DEV_POWER0

Initial value:
= {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.DEV_POWER1

Initial value:
= {'id': self.sys_id << 8 | 0x11, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.DEV_TYPE0

Initial value:
= {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.DEV_TYPE1

Initial value:
= {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_calibration

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.enable_calibration

Initial value:
= {'id': self.sys_id << 8 | 0x25, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ enable_out0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.enable_out0

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_out1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.enable_out1

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ FB_MODE

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.FB_MODE

Initial value:
= {'id': self.sys_id << 8 | 0x29, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ FE_power

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.FE_power

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ FE_voltage

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.FE_voltage

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': 18.0,
'value': 18.0}

## ◆ GPIO_DIRECTION

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.GPIO_DIRECTION

Initial value:
= {'id': self.sys_id << 8 | 0x28, 'type': int, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ GPIO_STATE

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.GPIO_STATE

Initial value:
= {'id': self.sys_id << 8 | 0x27, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ i2c_list_ch0

optoMDC.registers.mre3_registers.MRE3MiscFeatures.i2c_list_ch0 = {'id': self.sys_id << 8 | 0x00, 'type': bytes}

## ◆ i2c_list_ch1

optoMDC.registers.mre3_registers.MRE3MiscFeatures.i2c_list_ch1 = {'id': self.sys_id << 8 | 0x01, 'type': bytes}

## ◆ i2c_list_ch2

optoMDC.registers.mre3_registers.MRE3MiscFeatures.i2c_list_ch2 = {'id': self.sys_id << 8 | 0x02, 'type': bytes}

## ◆ i2c_list_ch3

optoMDC.registers.mre3_registers.MRE3MiscFeatures.i2c_list_ch3 = {'id': self.sys_id << 8 | 0x03, 'type': bytes}

## ◆ IIN

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.IIN

Initial value:
= {'id': self.sys_id << 8 | 0x19, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH0

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.LOAD_CH0

Initial value:
= {'id': self.sys_id << 8 | 0x21, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH1

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.LOAD_CH1

Initial value:
= {'id': self.sys_id << 8 | 0x22, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ name

optoMDC.registers.mre3_registers.MRE3MiscFeatures.name = self.__class__.__name__

## ◆ Operation_Mode

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.Operation_Mode

Initial value:
= {'id': self.sys_id << 8 | 0x26, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ Pin_avg

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.Pin_avg

Initial value:
= {'id': self.sys_id << 8 | 0x2a, 'type': float, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ ProxyVoltage

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.ProxyVoltage

Initial value:
= {'id': self.sys_id << 8 | 0x2c, 'type': float, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ PWM_frequency

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.PWM_frequency

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ reset_FW

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.reset_FW

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ sys_id

int optoMDC.registers.mre3_registers.MRE3MiscFeatures.sys_id = 0x25

## ◆ UFE

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.UFE

Initial value:
= {'id': self.sys_id << 8 | 0x1a, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ UIN

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.UIN

Initial value:
= {'id': self.sys_id << 8 | 0x18, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ WRITE_CTRL

dict optoMDC.registers.mre3_registers.MRE3MiscFeatures.WRITE_CTRL

Initial value:
= {'id': self.sys_id << 8 | 0x20, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py